> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get userv1combinedsuggest

> Lists the users, groups and roles of the library matching a pattern.



## OpenAPI

````yaml /openapis/user.json get /user/v1/combinedSuggest
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: user
    description: >-
      Lets you get information about users and groups (beta version, subject to
      change)
paths:
  /user/v1/combinedSuggest:
    get:
      tags:
        - user
      description: Lists the users, groups and roles of the library matching a pattern.
      operationId: user:v1beta1.User.getCombinedSuggestions
      parameters:
        - name: libraryId
          in: query
          description: The ID of the library
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/query_query_parameter'
        - $ref: '#/components/parameters/include_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiSuggestionList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSuggestionList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    query_query_parameter:
      name: query
      in: query
      description: The pattern to look for (substring)
      required: true
      schema:
        type: string
    include_query_parameter:
      name: include
      in: query
      description: >-
        Set additional information to return (each additional item increases the
        response latency). Available value: EMAIL_QUALIFICATIONS
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiSuggestionList:
      type: object
      properties:
        kind:
          type: string
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/ApiSuggestion'
    ApiSuggestion:
      type: object
      properties:
        allowlisted:
          type: boolean
          description: >-
            Whether the email address is allowlisted (individually or via its
            domain) in the current domain
        belongsToDomain:
          type: boolean
          description: Whether the email address is part of the current domain
        domain:
          type: string
          description: The current domain
        googleEmailAddress:
          type: boolean
          description: Whether the email address is tied to a Google account
        kind:
          type: string
        name:
          type: string
        thumbnailPictureUrl:
          type: string
        type:
          type: string
          enum:
            - USER
            - GROUP
            - ROLE
        value:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````